### Method

# Gtk CellLayoutset_attributes

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_layout_set_attributes (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      ...
    )

#### Description [src]

Sets the attributes in the parameter list as the attributes of `cell_layout`.

See `gtk_cell_layout_add_attribute()` for more details.

The attributes should be in attribute/column order, as in gtk_cell_layout_add_attribute(). All existing attributes are removed, and replaced with the new attributes.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`

  The data is owned by the caller of the method.

`...`

  Type: ``

  A `NULL`-terminated list of attributes.